/*
    Leírás:
        Az osztály segítségével elemeket lehet animálni, amikor azok a képernyőre kerülnek.
        Az animáció iránya és a láthatóság állapota is beállítható különböző osztályokkal (alap nincs mozgás megjelenéskor/eltűnéskor).
    Használat:
        Adj egy elemnek "reveal-content" osztályt.
*/
.reveal-content {
  opacity: 0;
  transform: translateY(40px);
  transition: opacity 1s ease, transform 1s ease;
}

/* amikor láthatóvá kell válni */
.reveal-content.reveal-down {
  opacity: 1;
  /*transform: translateY(-60px);*/
}

/* Belépés lentről → felfelé mozgó reveal */
.reveal-content.reveal-up {
  opacity: 1;
  /*transform: translateY(60px);*/
}

/* Kilépés felfelé → felfelé mozgó hide */
.reveal-content.hide-up {
  opacity: 0;
  /*transform: translateY(60px);*/
}

/* Kilépés lefelé → lefelé mozgó hide */
.reveal-content.hide-down {
  opacity: 0;
  /*transform: translateY(-60px);*/
}